'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var chalk_1 = __importDefault(require("chalk"));
var color_1 = __importDefault(require("color"));
var electron_is_1 = __importDefault(require("electron-is"));
var custom = function (title, text, _a) {
    var titleColor = _a.titleColor, backgroundColor = _a.backgroundColor;
    var color = color_1.default(titleColor).hex();
    var bgColor = color_1.default(backgroundColor).hex();
    if (typeof window !== 'undefined') {
        console.log(" %c" + title, "%c" + text, "color: " + (color || 'white') + "; background: " + (bgColor || 'black') + "; border-radius: 2px");
    }
    if (electron_is_1.default.main()) {
        console.log(" " + chalk_1.default.bgGreen.black(' MAIN ') + " " + text);
    }
    if (electron_is_1.default.renderer()) {
        console.log(" " + chalk_1.default.bgGreen.black(' RENDERER ') + " " + text);
    }
    console.log(" " + chalk_1.default.bgHex(bgColor).hex(color)(" " + title + " ") + " " + text);
};
var factory = function (title, backgroundColor) { return function (text) { return custom(title, text, { backgroundColor: backgroundColor }); }; };
module.exports = {
    success: factory('SUCCESS', 'green'),
    info: factory('INFO', 'blue'),
    warning: factory('WARNING', 'yellow'),
    error: factory('ERROR', 'red'),
    custom: custom
};
